import { HttpClient } from '@angular/common/http';
import { Title } from '@angular/platform-browser';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class NotificationService {
    private titleService;
    private http;
    isOpen: BehaviorSubject<boolean>;
    currentisOpen: import("rxjs").Observable<boolean>;
    count: BehaviorSubject<number>;
    currentCount: import("rxjs").Observable<number>;
    selectedNotification: any;
    API_BASE_URL: string;
    notifications: BehaviorSubject<any>;
    currentNotifications: import("rxjs").Observable<any>;
    unread: BehaviorSubject<number>;
    currentUnread: import("rxjs").Observable<number>;
    client: any;
    channel: any;
    appId: any;
    userId: any;
    signature: any;
    constructor(titleService: Title, http: HttpClient);
    READ_ALL(appId: any): string;
    FETCH(appId: any): string;
    UPDATE(appId: any): string;
    FETCH_COUNT(appId: any, userId: any): string;
    LAST_SEEN(appId: any, userId: any): string;
    DELIVERY_UPDATE(appId: any): string;
    ABLY_TOKEN(appId: any, userId: any, signature: any): string;
    USER_SETUP(appId: any, userId: any, signature: any): string;
    setSelectedNotification(notification: any): void;
    userSetup(): import("rxjs").Observable<Object>;
    fetchCount(): import("rxjs").Observable<Object>;
    updateLastSeen(): import("rxjs").Observable<Object>;
    fetchNotifications(lastMessageId: any): import("rxjs").Observable<any[]>;
    updateNotification(status: any, messageId: any): import("rxjs").Observable<Object>;
    markAllRead(): void;
    reloadData(): void;
    deliveryStatusUpdate(messageId: any, date: any): import("rxjs").Observable<Object>;
    toggleModal(value: any): void;
    updateCount(count: any): void;
    updateNotifications(notifications: any): void;
    updateUnread(unread: any): void;
    setTitle(count: any): void;
    deintialize(): void;
    intialize(appId: any, userId: any, signature: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationService>;
}
