import { OnInit, OnDestroy } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { NotificationService } from '../../notification.service';
import * as i0 from "@angular/core";
export declare class NotificationsComponent implements OnInit, OnDestroy {
    private notificationService;
    color: any;
    indicatorType: any;
    fontStyle: any;
    onClickNotification: any;
    displayStyle: any;
    position: any;
    header: any;
    title: string;
    notifications: any[];
    items: Observable<any[]>;
    isLoading: boolean;
    newNotifications: boolean;
    showLoadButton: boolean;
    unread: number;
    isOpen: any;
    subscription: Subscription;
    fetchSubscription: Subscription;
    deliveryStatusUpdateSubscription: Subscription;
    createUserSubscription: Subscription;
    markAllReadSubcription: Subscription;
    updateLastSeenSubcription: Subscription;
    constructor(notificationService: NotificationService);
    ngOnInit(): void;
    saveData(): void;
    onWrapperClick(event: any): void;
    toggleModal(): void;
    markAllRead(): void;
    updateUnreadCount(event: any): void;
    loadMore(): void;
    initialize(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsComponent, "app-notifications", never, { "color": { "alias": "color"; "required": false; }; "indicatorType": { "alias": "indicatorType"; "required": false; }; "fontStyle": { "alias": "fontStyle"; "required": false; }; "onClickNotification": { "alias": "onClickNotification"; "required": false; }; "displayStyle": { "alias": "displayStyle"; "required": false; }; "position": { "alias": "position"; "required": false; }; "header": { "alias": "header"; "required": false; }; }, {}, never, never, false, never>;
}
